#any-containing-xmldsig.rnc
#
#This RELAX NG schema allows any document containing valid signatures.
#
#The first four definitions specify what is allowed as a root elemnet 
#and what is allowed as a foreign element.

namespace ds = "http://www.w3.org/2000/09/xmldsig#"
start = anyForeignElementOrSignature
anyForeignElementOrSignature = 
  element * -  ds:* { 
    mixed { anyAttribute*, anyForeignElementOrSignature* } }
  | ds_Signature

CanonicalizationAlgorithms =
    xsd:anyURI "http://www.w3.org/TR/2001/REC-xml-c14n-20010315"
  | xsd:anyURI "http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments"
  | xsd:anyURI "http://www.w3.org/2006/12/xml-c14n11"
  | xsd:anyURI "http://www.w3.org/2006/12/xml-c14n11#WithComments"

SignatureAlgorithms =
    xsd:anyURI "http://www.w3.org/2000/09/xmldsig#hmac-sha1"
  | xsd:anyURI "http://www.w3.org/2000/09/xmldsig#dsa-sha1"
  | xsd:anyURI "http://www.w3.org/2000/09/xmldsig#rsa-sha1"

TransformAlgorithms =
    xsd:anyURI "http://www.w3.org/2000/09/xmldsig#base64"
  | xsd:anyURI "http://www.w3.org/TR/1999/REC-xpath-19991116"
  | xsd:anyURI "http://www.w3.org/2000/09/xmldsig#enveloped-signature"
  | xsd:anyURI "http://www.w3.org/TR/1999/REC-xslt-19991116"

DigestAlgorithms =
    xsd:anyURI "http://www.w3.org/2000/09/xmldsig#sha1" 

include "xmldsig-core-schema.rnc"
include "allowAny.rnc"